TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.ACLEntry Class Reference

An ACLEntry represents the set of permissions that a Principal (User or Group) has on a Destination (Topic or Queue). More...

## Public Member Functions
| ACLEntry (DestinationInfo destination, PrincipalInfo principal, Permissions permissions)
| Constructor used to create ACLEntries that will be passed to Admin.grant() and Admin.revoke() methods. More...
override string | ToString ()
| Generate a string representation of this ACLEntry. More...

## Properties
DestinationInfo | Destination`[get, set]`
| Get or set the destination that this entry applies to. More...
PrincipalInfo | Principal`[get]`
| Get the principal that this entry applies to. More...
PrincipalInfo | PrincipalName`[set]`
| Set the principal that this entry applies to. More...
Permissions | Permissions`[get, set]`
| Get or set the permissions for this entry. More...

## Detailed Description

An ACLEntry represents the set of permissions that a Principal (User or Group) has on a Destination (Topic or Queue).

## Constructor & Destructor Documentation

TIBCO.EMS.ADMIN.ACLEntry.ACLEntry | ( | DestinationInfo | destination,
|  | PrincipalInfo | principal,
|  | Permissions | permissions
| ) |  |
| inline

Constructor used to create ACLEntries that will be passed to Admin.grant() and Admin.revoke() methods.

Parameters

  destination | the destination the permissions apply to.
  principal | the principal that has the permissions.
  permissions | the permissions for this entry.

## Member Function Documentation

override string TIBCO.EMS.ADMIN.ACLEntry.ToString | ( |  | ) |
| inline

Generate a string representation of this ACLEntry.

Returns
  a string representation of this ACLEntry.

## Property Documentation

DestinationInfo TIBCO.EMS.ADMIN.ACLEntry.Destination
| get set

Get or set the destination that this entry applies to.

Returns
  the DestinationInfo that this ACLEntry applies to.

Permissions TIBCO.EMS.ADMIN.ACLEntry.Permissions
| get set

Get or set the permissions for this entry.

Returns
  the permissions for this entry.

PrincipalInfo TIBCO.EMS.ADMIN.ACLEntry.Principal
| get

Get the principal that this entry applies to.

Returns
  the PrincipalInfo that this ACLEntry applies to.

PrincipalInfo TIBCO.EMS.ADMIN.ACLEntry.PrincipalName
| set

Set the principal that this entry applies to.